Bug 104205 - (PATCH) mozilla confused by empty ~/.netscape
Summary: (PATCH) mozilla confused by empty ~/.netscape
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mozilla   
(Show other bugs)
Version: 1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Blizzard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: CambridgeTarget
TreeView+ depends on / blocked
 
Reported: 2003-09-11 08:10 UTC by Warren Togami
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-02 21:50:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mozilla-1.4.1-ns4profile.patch (2.02 KB, patch)
2003-10-26 06:14 UTC, Warren Togami
no flags Details | Diff

Description Warren Togami 2003-09-11 08:10:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
openoffice creates emtpy ~/.netscape/plugins and ~/.netscape6/plugins when you
run it.  This itself is not a problem, until you run Mozilla when ~/.mozilla did
not previously exist.

Mozilla sees that ~/.netscape exists, then attempts to go into profile import,
which fails.  It is not trivial for new users to get into the web browser at
this point.

Discovered this problem when watching kids using LTSP Linux thin clients and
getting totally frustrated when they could not figure out how to get into the
web browser.

Think of the children!

Proposed Fix:
OpenOffice should NOT create emtpy .netscape and .netscape6 directories.

Version-Release number of selected component (if applicable):
openoffice-1.0.2-4

Comment 1 Warren Togami 2003-09-19 04:24:19 UTC
Please request this upstream too.  Upstream OpenOffice 1.1 and StarOffice 7
create these empty directories for no reason, which continues to confuse even
Mozilla-1.5-rc1.

Comment 2 Warren Togami 2003-09-21 10:44:47 UTC
Perhaps Mozilla could handle this situation in a better way too.

Comment 3 Warren Togami 2003-10-26 06:14:48 UTC
Created attachment 95486 [details]
mozilla-1.4.1-ns4profile.patch

Christian Biesinger <cbiesinger@web.de> wrote this patch and I tested it.  Used
Netscape 4.8 packages from RH7.2 in testing.  With this patch mozilla no longer
attempts to convert the NS4 profile when only a blank ~/.netscape directory
exists.

Comment 4 Warren Togami 2003-10-26 10:55:00 UTC
http://bugzilla.mozilla.org/show_bug.cgi?id=171509
Upstream equivalent

Comment 5 Warren Togami 2003-10-28 08:36:13 UTC
http://bugzilla.mozilla.org/show_bug.cgi?id=171509
Please see the upstream report for a slightly updated patch.  It is now slighter
cleaner but with the same functionality.


Comment 6 Warren Togami 2003-11-15 06:36:24 UTC
Upstream has super reviewed and applied the patch.  Please apply to
FC's upcoming mozilla update.


Comment 7 Christopher Blizzard 2003-12-02 21:50:44 UTC
This has been merged into cvs in the 1.4.1 rpm.  If I do another
release for FC 1 it will be included.


Note You need to log in before you can comment on or make changes to this bug.